<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <!-- =================================================================-->
    <!-- ==== Informations du projet ====  -->
    <!-- =================================================================-->

    <!-- Projet parent associé -->
    <parent>
        <artifactId>activity</artifactId>
        <groupId>org.activity.demo</groupId>
        <version>1.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <!-- Informations Maven-->
    <artifactId>activity-batch</artifactId>
    <version>1.0-SNAPSHOT</version>


    <!-- Iformations générales -->
    <name>activity - Jeu de batchs</name>
    <url>http://www.example.com</url>



    <!-- =================================================================-->
    <!-- ==== Propriétés ====  -->
    <!-- =================================================================-->
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>1.7</maven.compiler.source>
        <maven.compiler.target>1.7</maven.compiler.target>
    </properties>



    <!-- =============================================================== -->
    <!-- ==== Dépendances ==== -->
    <!-- =============================================================== -->
    <dependencies>
        <!-- ===== Modules ===== -->
        <dependency>
            <groupId>org.activity.demo</groupId>
            <artifactId>activity-model</artifactId>
        </dependency>

        <dependency>
            <groupId>org.activity.demo</groupId>
            <artifactId>activity-business</artifactId>
        </dependency>


        <!-- ===== Bibliothèques tierces ===== -->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.11</version>
            <scope>test</scope>
        </dependency>
    </dependencies>



    <!-- =================================================================-->
    <!-- ==== Build ==== -->
    <!-- =================================================================-->
    <build>
        <finalName>activity-batch</finalName>

        <plugins>
            <!-- création du JAR-->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <configuration>
                    <archive>
                        <manifest>
                            <mainClass>org.activity.demo.batch.App</mainClass>
                            <addClasspath>true</addClasspath>
                            <classpathPrefix></classpathPrefix>
                        </manifest>
                    </archive>
                </configuration>
            </plugin>

            <!-- Assembly -  Création des archive de déploiement -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-assembly-plugin</artifactId>
                <configuration>
                    <descriptors>
                        <descriptor>src/assembly/archive-deploy.xml</descriptor>
                    </descriptors>
                </configuration>
                <executions>
                    <execution>
                        <id>assembly-archive-deploy</id>
                        <phase>package</phase>
                        <goals>
                            <goal>single</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>

        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
            </resource>
        </resources>

    </build>
</project>
